local ACTIVITY_START_DELAY	= 1.0
local ACTIVITY_INTERVAL		= 0.2

--{{{
local logFolder   = os.getenv("DCS_LOG_FOLDER") or ".";
local logFileName = logFolder .."/".."Export.log"
local logFile     = io.open(logFileName,"wb");
print('Export: print redefined to write into ['..logFileName..']');
function _G.print(s)
	if logFile then logFile:write(s.."\n"); end
end
--}}}

-- TARGET SOCKET:
print ' o Export_ivanwfr: dofile("./Config/Export/TargetBridge.lua")'
dofile(                          "./Config/Export/TargetBridge.lua")

-- DCS EXPORT:
function LuaExportStart()	return TargetBridge.Start();	end
function LuaExportStop()	return TargetBridge.Stop();		end

-- COROUTINES:
Coroutines		= {}
CoroutineIndex	= 1
Coroutines[CoroutineIndex] = coroutine.create( TargetBridge.ExportCoroutine ) 
function CoroutineResume(index, tCurrent)
	coroutine.resume(Coroutines[index], tCurrent)
	return coroutine.status(Coroutines[index]) ~= "dead"
end
LoCreateCoroutineActivity(CoroutineIndex, ACTIVITY_START_DELAY, ACTIVITY_INTERVAL) -- to start at 1.0 second with 3.0 seconds period

