function layout()
	return {
		forceFeedback = { trimmer = 1, shake = 0.5, swapAxes = false, },
		axisCommands  =
		{
			{
				name   = "Rudder",
				action = iCommandPlaneRudder,
				combos = {
					{ key = "JOY_Y"       , filter = {saturationX = 0.9, saturationY = 0.5, deadzone = 0, invert = true , slider = true, curvature = {-0.35}}},
					{ key = "JOY_SLIDER2" , filter = {saturationX = 0.9, saturationY = 0.5, deadzone = 0, invert = false, slider = true, curvature = {-0.35}}},
				},
			},
			{
				name   = "Wheel Brake",
				action = iCommandWheelBrake,
				combos = {
					{   key = "JOY_RZ"    , filter = {saturationX = 1  , saturationY = 1  , deadzone = 0, invert = false, slider = true, curvature = {-0.35}}},
				},
			},
		},
	}
end
