function layout()
	return {
		forceFeedback = {
			trimmer = 1,
			shake = 0.5,
			swapAxes = false,
		},
		keyCommands = {

			{category = "Engine Control Panel", name = "APU Start"                           , combos = {{key = "JOY_BTN20"}, }      ,    down = iCommandPlane_APU_Start, },
			{category = "Engine Control Panel", name = "Landing Gear Warning Silence"        , combos = {{key = "JOY_BTN21"}, }      ,    down = iCommandPlane_LG_WRN_Silence, up = iCommandPlane_LG_WRN_Silence, },
			{category = "Engine Control Panel", name = "Left Engine Fuel Flow Norm/Override" , combos = {{key = "JOY_BTN16"}, }      ,    down = iCommandPlane_L_ENG_FUEL_FLOW_Override, },
			{category = "Engine Control Panel", name = "Left Engine Oper Ign / Norm"         , combos = {{key = "JOY_BTN31"}, }      ,    down = iCommandPlane_L_ENG_OPER_Ign, up = iCommandPlane_L_ENG_OPER_Norm, },
			{category = "Engine Control Panel", name = "Left Engine Oper Motor"              , combos = {{key = "JOY_BTN18"}, }      ,    down = iCommandPlane_L_ENG_OPER_Motor, },
			{category = "Engine Control Panel", name = "Right Engine Fuel Flow Norm/Override", combos = {{key = "JOY_BTN17"}, }      ,    down = iCommandPlane_R_ENG_FUEL_FLOW_Norm, },
			{category = "Engine Control Panel", name = "Right Engine Oper Ign / Norm"        , combos = {{key = "JOY_BTN32"}, }      ,    down = iCommandPlane_R_ENG_OPER_Ign, up = iCommandPlane_R_ENG_OPER_Norm, },
			{category = "Engine Control Panel", name = "Right Engine Oper Motor"             , combos = {{key = "JOY_BTN19"}, }      ,    down = iCommandPlane_R_ENG_OPER_Motor, },

			{category = "HOTAS"               , name = "Gun Trigger"                         , combos = {{key = "JOY_BTN1"}, }       ,    down = iCommandPlane_HOTAS_TriggerSecondStage, up = iCommandPlane_HOTAS_TriggerSecondStage_Off, },
			{category = "HOTAS"               , name = "HOTAS Boat Switch Aft"               , combos = {{key = "JOY_BTN10"}, }      ,    down = iCommandPlane_HOTAS_BoatSwitchAft, },
			{category = "HOTAS"               , name = "HOTAS Boat Switch Forward"           , combos = {{key = "JOY_BTN9"}, }       ,    down = iCommandPlane_HOTAS_BoatSwitchForward, },
			{category = "HOTAS"               , name = "HOTAS China Hat Aft"                 , combos = {{key = "JOY_BTN12"}, }      ,    down = iCommandPlane_HOTAS_ChinaHatAft, up = iCommandPlane_HOTAS_ChinaHatOff, },
			{category = "HOTAS"               , name = "HOTAS China Hat Forward"             , combos = {{key = "JOY_BTN11"}, }      ,    down = iCommandPlane_HOTAS_ChinaHatForward, up = iCommandPlane_HOTAS_ChinaHatOff, },
			{category = "HOTAS"               , name = "HOTAS Coolie Switch Down"            , combos = {{key = "JOY_BTN_POV1_D"}, } ,    down = iCommandPlane_HOTAS_CoolieDown, up = iCommandPlane_HOTAS_CoolieOff, },
			{category = "HOTAS"               , name = "HOTAS Coolie Switch Left"            , combos = {{key = "JOY_BTN_POV1_L"}, } ,    down = iCommandPlane_HOTAS_CoolieLeft, up = iCommandPlane_HOTAS_CoolieOff, },
			{category = "HOTAS"               , name = "HOTAS Coolie Switch Right"           , combos = {{key = "JOY_BTN_POV1_R"}, } ,    down = iCommandPlane_HOTAS_CoolieRight, up = iCommandPlane_HOTAS_CoolieOff, },
			{category = "HOTAS"               , name = "HOTAS Coolie Switch Up"              , combos = {{key = "JOY_BTN_POV1_U"}, } ,    down = iCommandPlane_HOTAS_CoolieUp, up = iCommandPlane_HOTAS_CoolieOff, },
			{category = "HOTAS"               , name = "HOTAS Left Throttle Button"          , combos = {{key = "JOY_BTN15"}, }      ,    down = iCommandPlane_HOTAS_LeftThrottleButton, up = iCommandPlane_HOTAS_LeftThrottleButton_Off, },
			{category = "HOTAS"               , name = "HOTAS MIC Switch Aft"                , combos = {{key = "JOY_BTN6"}, }       ,    down = iCommandPlane_HOTAS_MIC_SwitchLeft, up = iCommandPlane_HOTAS_MIC_SwitchOff, },
			{category = "HOTAS"               , name = "HOTAS MIC Switch Down"               , combos = {{key = "JOY_BTN5"}, }       ,    down = iCommandPlane_HOTAS_MIC_SwitchDown, up = iCommandPlane_HOTAS_MIC_SwitchOff, },
			{category = "HOTAS"               , name = "HOTAS MIC Switch Forward"            , combos = {{key = "JOY_BTN4"}, }       ,    down = iCommandPlane_HOTAS_MIC_SwitchRight, up = iCommandPlane_HOTAS_MIC_SwitchOff, },
			{category = "HOTAS"               , name = "HOTAS MIC Switch Up"                 , combos = {{key = "JOY_BTN3"}, }       ,    down = iCommandPlane_HOTAS_MIC_SwitchUp, up = iCommandPlane_HOTAS_MIC_SwitchOff, },
			{category = "HOTAS"               , name = "HOTAS Pinky Switch Aft"              , combos = {{key = "JOY_BTN14"}, }      ,    down = iCommandPlane_HOTAS_PinkySwitchAft, },
			{category = "HOTAS"               , name = "HOTAS Pinky Switch Forward"          , combos = {{key = "JOY_BTN13"}, }      ,    down = iCommandPlane_HOTAS_PinkySwitchForward, },
			{category = "HOTAS"               , name = "HOTAS Speed Brake Switch Aft"        , combos = {{key = "JOY_BTN8"}, }       ,    down = iCommandPlane_HOTAS_SpeedBrakeSwitchAft, up = iCommandPlane_HOTAS_SpeedBrakeSwitchCenter, },
			{category = "HOTAS"               , name = "HOTAS Speed Brake Switch Forward"    , combos = {{key = "JOY_BTN7"}, }       ,    down = iCommandPlane_HOTAS_SpeedBrakeSwitchForward, up = iCommandPlane_HOTAS_SpeedBrakeSwitchCenter, },
			{category = "HOTAS"               , name = "Weapon release"                      , combos = {{key = "JOY_BTN2"}, }       ,    down = iCommandPlanePickleOn, up = iCommandPlanePickleOff, },

			{category = "LASTE Control Panel" , name = "EAC Arm"                             , combos = {{key = "JOY_BTN24"}, }      ,    down = iCommandPlane_EAC_ARM, up = iCommandPlane_EAC_ARM, },
			{category = "LASTE Control Panel" , name = "LAAP Altitude/Bank Hold"             , combos = {{key = "JOY_BTN28"}, }      ,    down = iCommandPlaneStabHbarBank, },
			{category = "LASTE Control Panel" , name = "LAAP Engage/Disengage"               , combos = {{key = "JOY_BTN26"}, }      ,    down = iCommandPlaneAutopilot, up = iCommandPlaneAutopilot, },
			{category = "LASTE Control Panel" , name = "LAAP Path Hold"                      , combos = {{key = "JOY_BTN27"}, }      ,    down = iCommandPlaneStabPathHold, },
			{category = "LASTE Control Panel" , name = "RDR ALTM Normal"                     , combos = {{key = "JOY_BTN25"}, }      ,    down = iCommandPlane_RDR_ALTM_NRM, },

			{category = "Systems"             , name = "Engine Stop Left"                    , combos = {{key = "JOY_BTN30"}, }      ,    down = iCommandLeftEngineStop, },
			{category = "Systems"             , name = "Engine Stop Right"                   , combos = {{key = "JOY_BTN29"}, }      ,    down = iCommandRightEngineStop, },
			{category = "Systems"             , name = "Flaps Down"                          , combos = {{key = "JOY_BTN23"}, }      ,    down = iCommandPlaneFlapsOn, },
			{category = "Systems"             , name = "Flaps Up"                            , combos = {{key = "JOY_BTN22"}, }      ,    down = iCommandPlaneFlapsOff, },

			{category = "View"                , name = "View Down Left slow"                 , combos = {{key = "JOY_BTN_POV1_DL"}, }, pressed = iCommandViewDownLeftSlow, up = iCommandViewStopSlow, },
			{category = "View"                , name = "View Down Right slow"                , combos = {{key = "JOY_BTN_POV1_DR"}, }, pressed = iCommandViewDownRightSlow, up = iCommandViewStopSlow, },
			{category = "View"                , name = "View Up Left slow"                   , combos = {{key = "JOY_BTN_POV1_UL"}, }, pressed = iCommandViewUpLeftSlow, up = iCommandViewStopSlow, },
			{category = "View"                , name = "View Up Right slow"                  , combos = {{key = "JOY_BTN_POV1_UR"}, }, pressed = iCommandViewUpRightSlow, up = iCommandViewStopSlow, },

		},
		axisCommands = {
			{ name = "HOTAS Slew Horizontal" , action = iCommandPlaneSelecterHorizontalAbs   , combos = {{key = "JOY_VSLIDER1" }, }, },
			{ name = "HOTAS Slew Vertical"   , action = iCommandPlaneSelecterVerticalAbs     , combos = {{key = "JOY_VSLIDER2" }, }, },
			{ name = "Pitch"                 , action = iCommandPlanePitch                   , combos = {{key = "JOY_Y"        , filter = {saturationX = 1, saturationY = 1, deadzone = 0, invert = false, slider = false, curvature = {0.15}}}, }, },
			{ name = "Roll"                  , action = iCommandPlaneRoll                    , combos = {{key = "JOY_X"        , filter = {saturationX = 1, saturationY = 1, deadzone = 0, invert = false, slider = false, curvature = {0.15}}}, }, },
			{ name = "Throttle Left"         , action = iCommandPlaneThrustLeft              , combos = {{key = "JOY_RZ"       }, }, },
			{ name = "Throttle Right"        , action = iCommandPlaneThrustRight             , combos = {{key = "JOY_Z"        }, }, },
		},
	}
end
